lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erick Erickson <erickerick...@gmail.com>
Subject Re: Error: _version_field must exist in schema
Date Thu, 18 Oct 2012 11:06:30 GMT
I've updated the schema.xml page, see
http://wiki.apache.org/solr/SchemaXml#Recommended_fields

Care to change the schema.xml file to warn about this too and
submit a patch?

Best
Erick


On Thu, Oct 18, 2012 at 4:21 AM, Dotan Cohen <dotancohen@gmail.com> wrote:
> On Thu, Oct 18, 2012 at 9:21 AM, Rafał Kuć <r.kuc@solr.pl> wrote:
>> Hello!
>>
>> Look at your solrconfig.xml file, you should see something like that:
>>
>> <updateLog>
>>  <str name="dir">${solr.data.dir:}</str>
>> </updateLog>
>>
>> Just remove it and Solr shouldn't bother you with the version field
>> information. However remember that some features won't work (like the
>> real time get or partial documents update).
>>
>
> Thank you. Is there any place where this is documented? It certainly
> does not appear in the relevant wiki page:
> http://wiki.apache.org/solr/SolrConfigXml
>
>
>> You can also add _version_ field to your schema and forget about it.
>> You don't need to do anything with it as it is used internally by
>> Solr.
>>
>
> That is exactly my plan, but I would also like to understand more
> about what is going on. I don't like cut-and-paste programming.
>
> Thank you very much!
>
>
> --
> Dotan Cohen
>
> http://gibberish.co.il
> http://what-is-what.com

Mime
View raw message